<template>
  <section class="flex items-center gap-1 text-xl font-light leading-none tracking-light mb-2 text-gray-600 max-w-[90%]">
    <v-icon
      v-if="icon"
      :icon="icon"
      size="small"
    />

    <section class="truncate">
      <slot />
    </section>
  </section>
</template>

<script setup lang="ts">
defineProps<{ icon?: string }>();
</script>